Bug 1119239 - webservice interface uses illegal types.
Summary: webservice interface uses illegal types.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: DR2
: 6.1.0
Assignee: Shelly McGowan
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:05 UTC by Marek Baluch
Modified: 2016-09-20 05:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
generated wsdl (51.17 KB, text/plain)
2014-07-14 11:06 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2014-07-14 11:05:40 UTC
Description of problem:
Unable to parse CommandService.wsdl.

The generated code contains two types which are not defined in XMLSchema.

1) size (should probably be 'nonNegativeInteger')
2) String (should probably be 'string')

Version-Release number of selected component (if applicable):
6.1.0.DR1

Comment 1 Marek Baluch 2014-07-14 11:06:45 UTC
Created attachment 917751 [details]
generated wsdl

Comment 2 Marco Rietveld 2014-07-15 16:08:43 UTC
Hi Marek, 

Where does the generated CommandService.wsdl come from? 
Also, which CommandService.wsdl file are you using to generate the code?

Comment 3 Marek Baluch 2014-07-15 16:22:30 UTC
Hi Marco,

my guess is that EAP is generating the WSDL based on the annotations in the jBPM source code on deploy. If you want to see the WSDL just deploy business-central - start up the server and you will find it via the EAP administration web interface.

Comment 4 Marco Rietveld 2014-07-17 10:44:28 UTC
Fixed.. although this is weird. BPMS on 6.3 "expands/generates" the WSDL whereas kie-wb on 6.3 does not do that, and just returns the minimal WSDL that I created. There's a setting that's being turned on somewhere in BPMS.. :( 

Commits: 

https://github.com/droolsjbpm/jbpm/compare/deb15653...047b3b4f
(d3bfb96, f5e7fff, 047b3b4)

Comment 5 Marek Baluch 2014-07-17 10:48:05 UTC
Marco - great work.

I was thinking that it might be better to use the minimal WSDL you have written. If you agree then I will reassign to Ryan.

Comment 6 Marek Baluch 2014-09-09 13:52:34 UTC
Verified on 6.1.0.DR2.


Note You need to log in before you can comment on or make changes to this bug.